//*****************************************************************************
//*****************************************************************************
//  FILENAME: Driver.h
//  TrueTouch Host Emulator Version Information: 3.2.1823
//  TrueTouch Firmware Version Information: 0.6.485370
//
//  DESCRIPTION: This file contains configuration values.
//-----------------------------------------------------------------------------
//  Copyright (c) Cypress Semiconductor 2012. All Rights Reserved.
//*****************************************************************************
//*****************************************************************************
//-----------------------------------------------------------------------------
/* Touchscreen Version Information */
static u8 ttconfig_fw_ver[] = {
	0x00, 0x00, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0B, 0xD9, 0xAC, 0x0B, 0x00, 0x11, 0x9B, 0x32, 0x0C
};

/* Touchscreen Parameters Endianess (Endianess: 0:Little; 1:Big)*/
static const uint8_t cyttsp4_param_endianess = 0;

/* Touchscreen Parameters */
static const uint8_t cyttsp4_param_regs[] = {
/*	Value	Name	*/
	0x10, 0x04,  /* CONFIG_DATA_SIZE */
	0x10, 0x04,  /* CONFIG_DATA_MAX_SIZE */
	0x80, 0x07,  /* X_RESOLUTION */
	0x38, 0x04,  /* Y_RESOLUTION */
	0xF6, 0x18,  /* X_LEN_PHY */
	0xD4, 0x2B,  /* Y_LEN_PHY */
	0x2B, 0x01,  /* CROSS_NUM */
	0x17,  /* TX_NUM */
	0x0D,  /* RX_NUM */
	0x24,  /* SENS_NUM */
	0x01,  /* SENSOR_ASSIGNMENT */
	0x00,  /* PROXIMITY_SCAN_AXIS */
	0x01,  /* BL_H20_RJCT */
	0x00,  /* CHARGER_ARMOR_ENABLE */
	0x03,  /* TOUCHMODE_ENABLED */
	0x02,  /* LRG_OBJ_CFG */
	0x00,  /* BUTTON_NUM */
	0x02,  /* PROXIMITY_GRIP_SUPPRESSION_SIZE */
	0x0A,  /* MAX_NUM_OF_REPORTED_TOUCHES */
	0x0A,  /* MAX_NUM_OF_SUPPORTED_TOUCHES */
	0x03,  /* SCANNING_MODE_BUTTON */
	0x08,  /* OPMODE_CFG */
	0x01,  /* SELF_Z_MODE */
	0x01,  /* WF_ENABLE */
	0x00,  /* Reserved31 */
	0x00, 0x00, 0x00, 0x00,  /* PQ_CTRL */
	0x00, 0x00, 0x00, 0x00,  /* PQ_CTRL2 */
	0x00, 0x00, 0x00, 0x00,  /* PQ_CTRL3 */
	0x00, 0xB0, 0x0B, 0xA0,  /* REFGEN_CTL */
	0x00, 0x00, 0xEE, 0x80,  /* TX_CTRL */
	0x00, 0x00, 0x27, 0x00,  /* RX_CTRL */
	0x00, 0x20, 0x00, 0x00,  /* INFRA_CTRL */
	0x64,  /* STARTUP_DELAY */
	0x00,  /* FORCE_SINGLE_TX */
	0x01,  /* SLOTS_MUT */
	0x01,  /* SLOTS_SELF_RX */
	0x02,  /* SLOTS_SELF_TX */
	0x03,  /* SLOTS_SELF */
	0x87, 0x00,  /* SCALING_FACTOR_MUTUAL */
	0x69, 0x00,  /* SCALING_FACTOR_SELF */
	0x32, 0x00,  /* SCALING_FACTOR_BUTTON_MUTUAL */
	0x32, 0x00,  /* SCALING_FACTOR_BUTTON_SELF */
	0xC8, 0x00,  /* SCALING_FACTOR_PROXIMITY */
	0x02,  /* TX_PUMP_VOLTAGE */
	0x41,  /* DISCARD_TIME */
	0x00,  /* VDDA_MODE */
	0x01,  /* BUTTON_LAYOUT */
	0x08,  /* MTX_ORDER */
	0x00,  /* Reserved81 */
	0x02,  /* TX_FREQ_METHOD_MUTUAL */
	0x02,  /* TX_FREQ_METHOD_SELF */
	0x2D, 0x00,  /* CA_WIDEBAND_TX_PERIOD */
	0x01,  /* CA_WIDEBAND_TX_PERIOD_DITHER */
	0x18,  /* IDAC_WB */
	0x00,  /* RX_ATTEN_RES_BYPASS */
	0x19,  /* SAFE_RAW_RANGE_PERCENT_MUTUAL */
	0x32,  /* SAFE_RAW_RANGE_PERCENT_SELF */
	0x32,  /* SAFE_RAW_RANGE_PERCENT_BTN_MUTUAL */
	0x32,  /* SAFE_RAW_RANGE_PERCENT_BTN_SELF */
	0x00,  /* Reserved93 */
	0xFA, 0x00,  /* INTEGRATOR_VOLTAGE_MUTUAL */
	0xFA, 0x00,  /* INTEGRATOR_VOLTAGE_SELF */
	0xFA, 0x00,  /* INTEGRATOR_VOLTAGE_BUTTON_MUTUAL */
	0xFA, 0x00,  /* INTEGRATOR_VOLTAGE_BUTTON_SELF */
	0x1E,  /* BALANCING_TARGET_MUTUAL */
	0x32,  /* BALANCING_TARGET_SELF */
	0x1E,  /* BALANCING_TARGET_BUTTON_MUTUAL */
	0x1E,  /* BALANCING_TARGET_BUTTON_SELF */
	0xD0, 0x07,  /* ILEAK_MAX */
	0xB8, 0x0B,  /* OPENS_TEST_RAW_THRESHOLD_MUTUAL */
	0x4C, 0x04,  /* OPENS_TEST_RAW_THRESHOLD_BUTTON */
	0x67,  /* OPENS_TEST_IDAC_MUTUAL */
	0x08,  /* OPENS_TEST_ATTEN_MUTUAL */
	0x7F,  /* OPENS_TEST_IDAC_BUTTON */
	0x08,  /* OPENS_TEST_ATTEN_BUTTON */
	0xFF,  /* Reserved116 */
	0xFF,  /* Reserved117 */
	0xFF,  /* Reserved118 */
	0xFF,  /* Reserved119 */
	0xC8, 0x00,  /* TX_PERIOD_MUTUAL */
	0x1E, 0x00,  /* TX_PULSES_NUM_MUTUAL */
	0x91, 0x00,  /* CA_TX_PERIOD_MUTUAL */
	0x30, 0x00,  /* CA_BASE_TX_PULSES_NUM_MUTUAL */
	0x5E, 0x00,  /* CA_HOP0_TX_PERIOD_MUTUAL */
	0x30, 0x00,  /* CA_HOP0_TX_PULSES_NUM_MUTUAL */
	0x5E, 0x00,  /* CA_HOP1_TX_PERIOD_MUTUAL */
	0x28, 0x00,  /* CA_HOP1_TX_PULSES_NUM_MUTUAL */
	0x3C, 0x00,  /* CA_HOP2_TX_PERIOD_MUTUAL */
	0x7F, 0x00,  /* CA_HOP2_TX_PULSES_NUM_MUTUAL */
	0x3F, 0x00,  /* CA_HOP3_TX_PERIOD_MUTUAL */
	0x7F, 0x00,  /* CA_HOP3_TX_PULSES_NUM_MUTUAL */
	0x4B, 0x00,  /* CA_HOP4_TX_PERIOD_MUTUAL */
	0x7F, 0x00,  /* CA_HOP4_TX_PULSES_NUM_MUTUAL */
	0xC8, 0x00,  /* TX_PERIOD_SELF */
	0x32, 0x00,  /* TX_PULSES_NUM_SELF */
	0x3D, 0x00,  /* TX_PERIOD_BTN_MUTUAL */
	0x40, 0x00,  /* TX_PULSES_NUM_BUTTON_MUTUAL */
	0xA0, 0x00,  /* TX_PERIOD_BTN_SELF */
	0x20, 0x00,  /* TX_PULSES_NUM_BUTTON_SELF */
	0xA0, 0x00,  /* TX_PERIOD_PROX */
	0x40, 0x00,  /* TX_PULSES_NUM_PROXIMITY */
	0xC8, 0x00,  /* TX_PERIOD_GLOVE_MUTUAL */
	0x1E, 0x00,  /* TX_PULSES_NUM_GLOVE_MUTUAL */
	0xC8, 0x00,  /* TX_PERIOD_GLOVE_SELF */
	0x32, 0x00,  /* TX_PULSES_NUM_GLOVE_SELF */
	0x3D, 0x00,  /* TX_PERIOD_GLOVE_BUTTON_MUTUAL */
	0x40, 0x00,  /* TX_PULSES_NUM_GLOVE_BUTTON_MUTUAL */
	0xA0, 0x00,  /* TX_PERIOD_GLOVE_BUTTON_SELF */
	0x20, 0x00,  /* TX_PULSES_NUM_GLOVE_BUTTON_SELF */
	0x00, 0xF0, 0xFF, 0x01, 
	0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 
	0xFF, 0x0F, 0x00, 0xFE, 
	0x0F, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 
	0xFF, 0xFF, 0xFF, 0xFF, 
	0x0F, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00,  /* CDC_SENSOR_MASKS */
	0x18, 0x17, 0x16, 0x15, 
	0x14, 0x13, 0x12, 0x11, 
	0x10, 0x0F, 0x0E, 0x0D, 
	0x0C, 0x23, 0x22, 0x21, 
	0x20, 0x1F, 0x1E, 0x1D, 
	0x1C, 0x1B, 0x1A, 0x19, 
	0x00, 0x01, 0x02, 0x03, 
	0x04, 0x05, 0x06, 0x07, 
	0x08, 0x09, 0x0A, 0x0B, 
	0x00, 0x00, 0x00, 0x00, 
	0x00,  /* CDC_PIN_INDEX_TABLE */
	0x00, 0x00, 0x00,  /* Reserved269 */
	0x2F, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00,  /* CDC_MTX_PHASE_VECTOR */
	0xAB, 0x0A, 0x00, 0x20, 
	0xAB, 0x0A, 0xAB, 0x0A, 
	0x55, 0xF5, 0x00, 0x20, 
	0x55, 0xF5, 0x55, 0xF5, 
	0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00,  /* CDC_MTX_DECONV_COEF */
	0x00, 0xF0, 0xFF, 0x01, 
	0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 
	0xFE, 0x3F, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 
	0xFF, 0x0D, 0xFF, 0x0C, 
	0x0B, 0x0A, 0x09, 0x08, 
	0x07, 0x06, 0x05, 0x04, 
	0x03, 0x02, 0x01, 0x00, 
	0x7F, 0x00, 0x00, 0xFE, 
	0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 
	0xFF, 0x3F, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 
	0x04, 0x0E, 0x1C, 0x1D, 
	0x1E, 0x18, 0x19, 0x1A, 
	0x1B, 0x17, 0x16, 0x15, 
	0x14, 0x13, 0x12, 0x11, 
	0x80, 0x0F, 0x00, 0x00, 
	0x0F, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 
	0xF9, 0x07, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 
	0x0B, 0x09, 0x23, 0xFF, 
	0xFF, 0x1F, 0x20, 0x21, 
	0x22, 0x10, 0x0F, 0x0E, 
	0x0D, 0xFF, 0xFF, 0xFF, 
	0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 
	0xFF, 0x00, 0xFF, 0xFF, 
	0xFF, 0xFF, 0xFF, 0xFF, 
	0xFF, 0xFF, 0xFF, 0xFF, 
	0xFF, 0xFF, 0xFF, 0xFF, 
	0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00, 
	0x00, 0x00, 0x00, 0x00,  /* CDC_SLOT_TABLE */
	0x43, 0x00,  /* MAX_SELF_SIG_THRESHOLD */
	0x08, 0x07,  /* MAX_POSITIVE_THRESHOLD */
	0x00,  /* BL_DELAY_BTN */
	0x05,  /* BL_THRESHOLD_MUT */
	0x1C,  /* BL_THRESHOLD_SELF */
	0x05,  /* RATIO_MAXMUT_TO_MAXSELF */
	0x78,  /* MIN_POSITIVE_THRESHOLD */
	0x03,  /* RATIO_SUMALL_TO_POSITIVE */
	0x02,  /* COUNTS_TO_BL_RESET_MUT */
	0x02,  /* COUNTS_TO_BL_RESET_SELF */
	0x50,  /* BL_FILT_BTN_MUT */
	0x50,  /* BL_FILT_BTN_SELF */
	0xFC, 0x00,  /* SELF_LIFTOFF_THRESHOLD */
	0x0A,  /* BASELINE_DELAY */
	0x0A,  /* DEBOUNCE_BASELINE_AFTER_REMOVE */
	0x14,  /* SLOW_BL_THRSH */
	0x02,  /* SLOW_BL_SS */
	0xC8,  /* FAST_BL_THRSH */
	0x01,  /* FAST_BL_SS */
	0xF4, 0x01,  /* WIPE_RESET_COUNTER */
	0xF4, 0x01,  /* DECREASE_BY_WATER */
	0x90, 0x01,  /* PREV_RAW_FRAME_NUM */
	0x02, 0x00,  /* WIPE_DELAY */
	0x64, 0x00,  /* DROP_RESET_COUNTER */
	0xD0, 0x07, 0x00, 0x00,  /* WATER_TIMEOUT */
	0x05, 0x00,  /* INIT_BL_DELAY */
	0xE8, 0x03,  /* TOUCH_THRESHOLD */
	0x64, 0x00,  /* BL_FRAME_NUM_AFTER_LIFTOFF */
	0x00,  /* Reserved570 */
	0x00,  /* Reserved571 */
	0x64, 0x00,  /* MAX_MUTUAL_SCAN_INTERVAL */
	0x64, 0x00,  /* MAX_SELF_SCAN_INTERVAL */
	0x0A, 0x00,  /* BL_BTN_THRSH_MUT */
	0x0A, 0x00,  /* BL_BTN_THRSH_SELF */
	0x0A, 0x00,  /* BL_BTN_THRSH_MUT_CA */
	0x0A, 0x00,  /* BL_BTN_THRSH_MUT_GLOVE */
	0x0A, 0x00,  /* BL_BTN_THRSH_SELF_GLOVE */
	0x00, 0x00,  /* Reserved586 */
	0x3C,  /* CMF_DELTA_TEMPCO_INCREMENT */
	0x00,  /* Reserved589 */
	0x00,  /* Reserved590 */
	0x00,  /* Reserved591 */
	0x00,  /* Reserved592 */
	0x00,  /* Reserved593 */
	0xC4, 0x09,  /* WF_RAW_VAR_THOLD */
	0x64, 0x00,  /* WF_RAW_HIGH_THOLD */
	0xDC, 0x05,  /* WF_DIFF_VAR_THOLD */
	0x32, 0x00,  /* WF_RAW_CALC_THOLD */
	0x32, 0x00,  /* WF_DIFF_CALC_THOLD */
	0x03,  /* FILT_FILTER_MASK */
	0x00,  /* FILT_IIR_COEFF_MUT */
	0x11, 0x00,  /* FILT_IIR_THRESHOLD_MUT */
	0x80, 0x00,  /* FILT_CMF_THRESHOLD_MUT */
	0x03,  /* FILT_FILTER_MASK_BASE_SELF */
	0x00,  /* FILT_IIR_COEFF_SELF */
	0x28, 0x00,  /* FILT_IIR_THRESHOLD_SELF */
	0x1E, 0x00,  /* CMF_THR_SELF */
	0x0F,  /* FILT_FILTER_MASK_BTN_MUT */
	0x01,  /* FILT_IIR_COEFF_BUT */
	0x14, 0x00,  /* FILT_IIR_THRESHOLD_BUT */
	0x0C, 0x00,  /* CMF_THR_BTN_MUT */
	0x0F,  /* FILT_FILTER_MASK_BTN_SELF */
	0x01,  /* FILT_IIR_COEFF_BUT_BASE_SELF */
	0x14, 0x00,  /* FILT_IIR_THRESHOLD_BUT_BASE_SELF */
	0x0C, 0x00,  /* CMF_THR_BTN_SELF */
	0x3E,  /* FILT_FILTER_MASK_PROX */
	0x02,  /* IIR_COEF */
	0x0A, 0x00,  /* IIR_THRESHOLD */
	0x3C, 0x00,  /* FILT_CMF_THRESHOLD_PROX */
	0x3C,  /* CAFILT_FILTER_MASK */
	0x00,  /* CAFILT_IIR_COEFF_MUT */
	0x32, 0x00,  /* CAFILT_IIR_THRESHOLD_MUT */
	0x1C, 0x00,  /* CAFILT_CMF_THRESHOLD_MUT */
	0x3F,  /* CAFILT_FILT_BTN_MUT */
	0x01,  /* CAFILT_IIR_COEFF_BUT */
	0x14, 0x00,  /* CAFILT_IIR_THRESHOLD_BUT */
	0x3C, 0x00,  /* CAFILT_CMF_THRESHOLD_BUT_MUT */
	0x3F,  /* FILT_FILTER_MASK_GLOVE_MUT */
	0x00,  /* FILT_IIR_COEFF_GLOVE_MUT */
	0x2A, 0x00,  /* FILT_IIR_THRESHOLD_GLOVE_MUT */
	0x13, 0x00,  /* FILT_CMF_THRESHOLD_GLOVE_MUT */
	0x3F,  /* FILT_FILTER_MASK_GLOVE_SELF */
	0x01,  /* FILT_IIR_COEFF_GLOVE_SELF */
	0x36, 0x00,  /* FILT_IIR_THRESHOLD_GLOVE_SELF */
	0x1C, 0x00,  /* FILT_CMF_THRESHOLD_GLOVE_SELF */
	0x3F,  /* FILT_FILTER_MASK_BUT_GLOVE_MUT */
	0x01,  /* FILT_IIR_COEFF_BUT_GLOVE_MUT */
	0x14, 0x00,  /* FILT_IIR_THRESHOLD_BUT_GLOVE_MUT */
	0x3C, 0x00,  /* FILT_CMF_THRESHOLD_GLOVE_BUT_MUT */
	0x3F,  /* FILT_FILTER_MASK_BUT_GLOVE_SELF */
	0x01,  /* FILT_IIR_COEFF_BUT_GLOVE_SELF */
	0x14, 0x00,  /* FILT_IIR_THRESHOLD_BUT_GLOVE_SELF */
	0x3C, 0x00,  /* FILT_CMF_THRESHOLD_GLOVE_BUT_SELF */
	0x3C,  /* FILT_FILTER_MASK_NOFILT */
	0x00,  /* FILT_IIR_COEFF_NOFILT */
	0x0A, 0x00,  /* FILT_IIR_THRESHOLD_NOFILT */
	0x3C, 0x00,  /* FILT_CMF_THRESHOLD_NOFILT */
	0xB4,  /* CA_HOST_CONTROLLED_CHARGER */
	0x00,  /* CHARGER_STATUS */
	0x06,  /* AFH_LISTEN_SCAN_CYCLE_REPEATS */
	0x06,  /* AFH_LISTENING_SCAN_COUNT */
	0xB0, 0x04,  /* CA_INJTCH_MAGNITUDE */
	0xA4, 0x01,  /* CA_INJTCH_FINGER_THOLD */
	0x20, 0x03, 0x00, 0x00,  /* CA_DEFAULT_REVERT_TIME */
	0x04, 0x00,  /* DETECT_CHARGER_THRESHOLD */
	0x03, 0x00,  /* NM_INJ_TCH_THRESHOLD */
	0x1A,  /* CA_WB_CMF_ENABLE */
	0x32,  /* CA_WB_REVERT_THOLD */
	0x00,  /* TRIGGER_CA */
	0x4B,  /* CA_DYN_CAL_NUM_SENSOR_THLD_PERCENT */
	0x1A, 0x00,  /* CA_DYN_CAL_SAFE_RAW_RANGE */
	0x00, 0x80,  /* CA_MIN_SELF_ALLOWED */
	0x03,  /* ACT_LFT_EN */
	0x08,  /* INNER_EDGE_GAIN */
	0x78,  /* OUTER_EDGE_GAIN */
	0x01,  /* ACT_INTRVL0 */
	0x03, 0x00,  /* ACT_LFT_INTRVL0 */
	0x2D, 0x00,  /* LP_INTRVL0 */
	0xDC, 0x05,  /* TCH_TMOUT0 */
	0xFC, 0x00,  /* FINGER_THRESH_SELF */
	0x41, 0x00,  /* GLOVE_THRSH_SELF */
	0x03,  /* LOW_POWER_ENABLE */
	0x00,  /* Reserved715 */
	0x06,  /* ACT_DIST0 */
	0x04,  /* ACT_DIST2 */
	0x00,  /* ACT_DIST_TOUCHDOWN */
	0x00,  /* ACT_DIST_LIFTOFF */
	0x00,  /* ACT_DIST_COUNTER */
	0xFF,  /* ACT_DIST_Z_THRESHOLD */
	0x00,  /* FIRST_TOUCH_SUPPRESSION */
	0x01,  /* OBJ_WITHHOLD_CFG */
	0x01,  /* ACTIVE_DELTA_Z */
	0x02,  /* MAX_ACCEPTED_FINGER */
	0x00, 0x00,  /* Reserved726 */
	0xFC, 0xE9, 0x00, 0x00,  /* FINGER_ID_MAX_FINGER_VELOCITY2 */
	0x00, 0x00,  /* GRIP_XEDG_A */
	0x00, 0x00,  /* GRIP_XEDG_B */
	0x00, 0x00,  /* GRIP_XEXC_A */
	0x00, 0x00,  /* GRIP_XEXC_B */
	0x00, 0x00,  /* GRIP_YEDG_A */
	0x00, 0x00,  /* GRIP_YEDG_B */
	0x00, 0x00,  /* GRIP_YEXC_A */
	0x00, 0x00,  /* GRIP_YEXC_B */
	0x01,  /* GRIP_FIRST_EXC */
	0x00,  /* GRIP_EXC_EDGE_ORIGIN */
	0x00,  /* GRIP_ENABLE */
	0x00,  /* LIFTOFF_DEBOUNCE */
	0x00,  /* LIFTOFF_DEBOUNCE_PROXIMITY */
	0x00,  /* LIFTOFF_DEBOUNCE_STYLUS */
	0x00,  /* LIFTOFF_DEBOUNCE_HOVER */
	0x00,  /* GLOVE_LIFTOFF_DEBOUNCE */
	0x05, 0x00,  /* TOUCHMODE_GLOVE_SWITCH_DEBOUNCE */
	0x00, 0x00,  /* TOUCHMODE_FINGER_SWITCH_DEBOUNCE */
	0x00, 0x00,  /* TOUCHMODE_GLOVE_FINGER_SWITCH_DEBOUNCE */
	0x00, 0x00,  /* TOUCHMODE_GLOVE_EXIT_DELAY */
	0x12, 0x00,  /* TOUCHMODE_FINGER_EXIT_DELAY */
	0x41, 0x00,  /* SELF_Z_THRSH */
	0x00,  /* CLIPPING_X_LOW */
	0x00,  /* CLIPPING_X_HIGH */
	0x00,  /* CLIPPING_Y_LOW */
	0x00,  /* CLIPPING_Y_HIGH */
	0x01,  /* H2O_REJECTION_SNS_WIDTH */
	0x00,  /* SLIM_POSITION_OFFSET_ALONG_TX */
	0x00,  /* SLIM_POSITION_OFFSET_ALONG_RX */
	0x00,  /* Reserved775 */
	0x00,  /* BR2_ALWAYS_ON_FLAG */
	0x03,  /* EDGE_DEBOUNCE_COUNT */
	0x1F, 0x00,  /* CALC_THRESHOLD */
	0x1F, 0x00,  /* OFFSET_S1 */
	0x1F, 0x00,  /* OFFSET_S2 */
	0x5E, 0x21, 0x00, 0x00,  /* Z1_SUM_8MM */
	0x3B, 0x03, 0x00, 0x00,  /* Z2_SUM_4MM */
	0x4A, 0x01, 0x00, 0x00,  /* Z1_SUM_3MM */
	0x82, 0x00, 0x00, 0x00,  /* Z2_SUM_1MM */
	0x90, 0x03, 0x00, 0x00,  /* LOW_PIVOT */
	0xA9, 0x08, 0x00, 0x00,  /* HIGH_PIVOT */
	0x78, 0x00, 0x00, 0x00,  /* LOW_PIVOT2 */
	0xB4, 0x00, 0x00, 0x00,  /* HIGH_PIVOT2 */
	0x82, 0x00,  /* EDGE_DEBOUNCE_COUNT_THRESHOLD */
	0x19, 0x06,  /* CENTER_MAGNITUDE_SCALE */
	0x03,  /* CENTROID_CORNER_NUMER */
	0x04,  /* CENTROID_CORNER_DENOM */
	0x03,  /* CENTROID_FINGER_MAX_JUMP */
	0x68,  /* GRADIENT_OUTER_EDGE_CONST_GAIN */
	0x80,  /* GRADIENT_OUTER_EDGE_CONST_RESPONSE */
	0x40,  /* GRADIENT_EDGE_COEF */
	0x04,  /* GRADIENT_COEF */
	0x19,  /* GRADIENT_THRESHOLD */
	0x00, 0x00, 0x00, 0x00,  /* MIN_FAT_FINGER_Z9 */
	0xE8, 0x0F, 0x00, 0x00,  /* MAX_MULTI_FINGER_Z9 */
	0x60, 0xEA, 0x00, 0x00,  /* MIN_FAT_FINGER_SIG_SUM_ON_EDGE */
	0x3C,  /* CENTER_SIGNAL_TO_MIN_PEAK_RATIO */
	0x05,  /* SD_SIZE_THRESHOLD */
	0xA0, 0x0F,  /* SD_ENTER_SIGNAL_THRESHOLD */
	0x70, 0x17,  /* SD_EXIT_SIGNAL_THRESHOLD */
	0xDC, 0x05,  /* VIRTUAL_PEAK_DELTA_RESET_THRESHOLD */
	0x30, 0x75,  /* VIRTUAL_PEAK_DELTA_THRESHOLD */
	0x05,  /* FAT_AXIS_LENGTH_THRESHOLD */
	0x00,  /* TOUCH_IGNORE_COEFF */
	0x30, 0x75,  /* UPPER_THRSH */
	0x88, 0x13,  /* LOWER_THRSH */
	0x90, 0x01,  /* OFF_THRSH */
	0x64, 0x00,  /* ACTIVE_SENSOR_THRESHOLD */
	0xE8, 0x03,  /* ACTIVE_SENSOR_THRESHOLD_FINGER */
	0x0A, 0x00,  /* DEBOUNCE_ON_DETECT_FINGER */
	0x05,  /* DEBOUNCE_ON_DETECT */
	0x0A,  /* DEBOUNCE_AFTER_REMOVE */
	0x14,  /* MAX_NUM_SHORT_SCAN */
	0x08,  /* SENSOR_NUM_THRSH */
	0x04,  /* SENSOR_NUM_THRSH_FINGER */
	0x01,  /* DISCARD_SCAN */
	0x00, 0x00,  /* Reserved870 */
	0x54, 0x01,  /* FINGER_THRESH_MUTUAL_ON */
	0xC8, 0x00,  /* FINGER_THRESH_MUTUAL_OFF */
	0x91, 0x00,  /* Z_SCALING */
	0xA4, 0x01,  /* CA_FINGER_THRESHOLD_MUTUAL */
	0x00,  /* MULTI_TOUCH_DEBOUNCE */
	0x04,  /* Z9_FILTER_SCALE */
	0x05,  /* CA_MULTI_TOUCH_DEBOUNCE */
	0x02,  /* CA_Z9_FILTER_SCALE */
	0x02,  /* MIN_FAT_FINGER_SIZE_HYST */
	0x04,  /* MIN_FAT_FINGER_SIZE_ON */
	0x01,  /* MAX_FAT_FINGER_SIZE_HYST */
	0x11,  /* MAX_FAT_FINGER_SIZE_ON */
	0x0F,  /* CA_MIN_FAT_FINGER_SIZE */
	0x28,  /* CA_MAX_FAT_FINGER_SIZE */
	0x03,  /* TOUCH_TRACKING_FEATURES */
	0x50,  /* SIGNAL_THRESHOLD_MULTIPLIER */
	0x50,  /* WF_FT_COEF */
	0x0F,  /* WF_MT_DEBOUNCE */
	0x00,  /* RX_LINE_FILTER */
	0x02,  /* RX_LINE_FILTER_DEBOUNCE */
	0x58,  /* RX_LINE_FILTER_THRESHOLD */
	0x00, 0x00, 0x00,  /* Reserved897 */
	0x05,  /* WF_Z8_MULTIPLIER */
	0x00, 0x00, 0x00,  /* Reserved901 */
	0x50,  /* BTN_LS_ON_THRSH_MUT_0 */
	0x50,  /* BTN_LS_ON_THRSH_MUT_1 */
	0x50,  /* BTN_LS_ON_THRSH_MUT_2 */
	0x50,  /* BTN_LS_ON_THRSH_MUT_3 */
	0x46,  /* BTN_LS_OFF_THRSH_MUT_0 */
	0x46,  /* BTN_LS_OFF_THRSH_MUT_1 */
	0x46,  /* BTN_LS_OFF_THRSH_MUT_2 */
	0x46,  /* BTN_LS_OFF_THRSH_MUT_3 */
	0x41,  /* BTN_LS_ON_THRSH_SELF_0 */
	0x41,  /* BTN_LS_ON_THRSH_SELF_1 */
	0x41,  /* BTN_LS_ON_THRSH_SELF_2 */
	0x41,  /* BTN_LS_ON_THRSH_SELF_3 */
	0x28,  /* BTN_LS_OFF_THRSH_SELF_0 */
	0x28,  /* BTN_LS_OFF_THRSH_SELF_1 */
	0x28,  /* BTN_LS_OFF_THRSH_SELF_2 */
	0x28,  /* BTN_LS_OFF_THRSH_SELF_3 */
	0x00, 0x00,  /* BTN_LS_TOUCHDOWN_DEBOUNCE */
	0x00, 0x00,  /* Reserved922 */
	0x14,  /* BTN_HS_ON_THRSH_MUT_0 */
	0x14,  /* BTN_HS_ON_THRSH_MUT_1 */
	0x14,  /* BTN_HS_ON_THRSH_MUT_2 */
	0x14,  /* BTN_HS_ON_THRSH_MUT_3 */
	0x0A,  /* BTN_HS_OFF_THRSH_MUT_0 */
	0x0A,  /* BTN_HS_OFF_THRSH_MUT_1 */
	0x0A,  /* BTN_HS_OFF_THRSH_MUT_2 */
	0x0A,  /* BTN_HS_OFF_THRSH_MUT_3 */
	0x1E,  /* BTN_HS_ON_THRSH_SELF_0 */
	0x1E,  /* BTN_HS_ON_THRSH_SELF_1 */
	0x1E,  /* BTN_HS_ON_THRSH_SELF_2 */
	0x1E,  /* BTN_HS_ON_THRSH_SELF_3 */
	0x0A,  /* BTN_HS_OFF_THRSH_SELF_0 */
	0x0A,  /* BTN_HS_OFF_THRSH_SELF_1 */
	0x0A,  /* BTN_HS_OFF_THRSH_SELF_2 */
	0x0A,  /* BTN_HS_OFF_THRSH_SELF_3 */
	0x01, 0x00,  /* BTN_HS_TOUCHDOWN_DEBOUNCE */
	0x00, 0x00,  /* Reserved942 */
	0x0A, 0x00,  /* GLOVE_BTN_FORBID_DEBOUNCE */
	0x32, 0x00,  /* GLOVE_BTN_TO_HIGHSEN_MODE_SWITCH_THRSH_MUT */
	0x3C, 0x00,  /* GLOVE_BTN_TO_HIGHSEN_MODE_SWITCH_THRSH_SELF */
	0xA0, 0x00,  /* GLOVE_BTN_TO_LOWSEN_MODE_SWITCH_THRSH_MUT */
	0x96, 0x00,  /* GLOVE_BTN_TO_LOWSEN_MODE_SWITCH_THRSH_SELF */
	0x04, 0x00,  /* GLOVE_BTN_MODE_SWITCH_DEBOUNCE */
	0x88,  /* BTN_PROCESS_IF_TOUCH_DETECTED */
	0x00,  /* Reserved957 */
	0x00, 0x00,  /* Reserved958 */
	0xA4, 0x01,  /* TOUCHMODE_GLOVE_MAX_PEAK */
	0x46, 0x00,  /* GLOVE_ON_THRSH_MUTUAL */
	0x32, 0x00,  /* GLOVE_OFF_THRSH_MUTUAL */
	0x00,  /* GLOVE_FIRST_TOUCH_DEBOUNCE */
	0x0F,  /* GLOVE_FIRST_TOUCH_DEBOUNCE_EDGE_MASK */
	0x00,  /* GLOVE_MULTI_TOUCH_DEBOUNCE */
	0x00,  /* GLOVE_Z8_FILTER_SCALE */
	0x04,  /* GLOVE_Z9_FILTER_SCALE */
	0xFF,  /* GLOVE_GRIP_FILTER_SCALE */
	0x17, 0x00,  /* GLOVE_Z_SCALING */
	0x28,  /* GLOVE_MAX_FAT_FINGER_SIZE */
	0x00,  /* GLOVE_MAX_FAT_FINGER_HYST */
	0x0A,  /* GLOVE_MIN_FAT_FINGER_SIZE */
	0x00,  /* GLOVE_MIN_FAT_FINGER_HYST */
	0x40,  /* GLOVE_SIGNAL_THRESHOLD_MULTIPLIER */
	0x4B,  /* GLOVE_INNER_EDGE_GAIN */
	0x1E,  /* GLOVE_OUTER_EDGE_GAIN */
	0x00,  /* Reserved981 */
	0x00, 0x00,  /* Reserved982 */
	0xD2, 0x00, 0x00, 0x00,  /* XY_FILTER_MASK */
	0x02, 0x00, 0x00, 0x00,  /* XY_FILT_IIR_COEFF */
	0xFE, 0xFF, 0x01, 0x00,  /* XY_FILT_Z_IIR_COEFF */
	0x46,  /* XY_FILT_XY_FAST_THR */
	0x32,  /* XY_FILT_XY_SLOW_THR */
	0x01,  /* XY_FILT_IIR_FAST_COEFF */
	0x00,  /* Reserved999 */
	0x72, 0x00, 0x00, 0x00,  /* XY_FILTER_MASK_CA */
	0x02, 0x00, 0x00, 0x00,  /* XY_FILT_IIR_COEFF_CA */
	0xFD, 0xFF, 0x01, 0x00,  /* XY_FILT_Z_IIR_COEFF_CA */
	0x46,  /* XY_FILT_XY_FAST_THR_CA */
	0x32,  /* XY_FILT_XY_SLOW_THR_CA */
	0x01,  /* XY_FILT_IIR_FAST_COEFF_CA */
	0x00,  /* Reserved1015 */
	0x00,  /* XY_FILT_EXTRA_IIR_FILTER */
	0x00,  /* XY_FILT_TOUCH_SIZE_IIR_COEFF */
	0x00,  /* XY_FILT_TOUCH_SIZE_HYST */
	0x00,  /* XY_FILT_TOUCH_ORIENTATION_IIR_COEFF */
	0x00,  /* XY_FILT_TOUCH_ORIENTATION_HYST */
	0x00, 0x00, 0x00,  /* Reserved1021 */
	0x03,  /* SIZE_ORIENTATION_ENABLE */
	0x00, 0x00, 0x00,  /* Reserved1025 */
	0x00,  /* EXT_SYNC */
	0x01,  /* PWR_CFG */
	0x0C, 0x32,  /* CONFIG_VER */
	0x00,  /* SEND_REPORT_AFTER_ACTIVE_INTERVAL_CFG */
	0x00,  /* PIP_REPORTING_DISABLE */
	0x00, 0x00,  /* INTERRUPT_PIN_OVERRIDE */
	0x00,  /* POST_CFG */
	0x00, 0x00, 0x00,  /* Reserved1037 */
	0x75, 0x7D,  /* CONFIG_CRC */
};

/* Touchscreen Parameters Field Sizes (Writable: 0:Readonly; 1:Writable) */
static const uint16_t cyttsp4_param_size[] = {
/*	Size	Name	*/
	2, /* CONFIG_DATA_SIZE */
	2, /* CONFIG_DATA_MAX_SIZE */
	2, /* X_RESOLUTION */
	2, /* Y_RESOLUTION */
	2, /* X_LEN_PHY */
	2, /* Y_LEN_PHY */
	2, /* CROSS_NUM */
	1, /* TX_NUM */
	1, /* RX_NUM */
	1, /* SENS_NUM */
	1, /* SENSOR_ASSIGNMENT */
	1, /* PROXIMITY_SCAN_AXIS */
	1, /* BL_H20_RJCT */
	1, /* CHARGER_ARMOR_ENABLE */
	1, /* TOUCHMODE_ENABLED */
	1, /* LRG_OBJ_CFG */
	1, /* BUTTON_NUM */
	1, /* PROXIMITY_GRIP_SUPPRESSION_SIZE */
	1, /* MAX_NUM_OF_REPORTED_TOUCHES */
	1, /* MAX_NUM_OF_SUPPORTED_TOUCHES */
	1, /* SCANNING_MODE_BUTTON */
	1, /* OPMODE_CFG */
	1, /* SELF_Z_MODE */
	1, /* WF_ENABLE */
	1, /* Reserved31 */
	4, /* PQ_CTRL */
	4, /* PQ_CTRL2 */
	4, /* PQ_CTRL3 */
	4, /* REFGEN_CTL */
	4, /* TX_CTRL */
	4, /* RX_CTRL */
	4, /* INFRA_CTRL */
	1, /* STARTUP_DELAY */
	1, /* FORCE_SINGLE_TX */
	1, /* SLOTS_MUT */
	1, /* SLOTS_SELF_RX */
	1, /* SLOTS_SELF_TX */
	1, /* SLOTS_SELF */
	2, /* SCALING_FACTOR_MUTUAL */
	2, /* SCALING_FACTOR_SELF */
	2, /* SCALING_FACTOR_BUTTON_MUTUAL */
	2, /* SCALING_FACTOR_BUTTON_SELF */
	2, /* SCALING_FACTOR_PROXIMITY */
	1, /* TX_PUMP_VOLTAGE */
	1, /* DISCARD_TIME */
	1, /* VDDA_MODE */
	1, /* BUTTON_LAYOUT */
	1, /* MTX_ORDER */
	1, /* Reserved81 */
	1, /* TX_FREQ_METHOD_MUTUAL */
	1, /* TX_FREQ_METHOD_SELF */
	2, /* CA_WIDEBAND_TX_PERIOD */
	1, /* CA_WIDEBAND_TX_PERIOD_DITHER */
	1, /* IDAC_WB */
	1, /* RX_ATTEN_RES_BYPASS */
	1, /* SAFE_RAW_RANGE_PERCENT_MUTUAL */
	1, /* SAFE_RAW_RANGE_PERCENT_SELF */
	1, /* SAFE_RAW_RANGE_PERCENT_BTN_MUTUAL */
	1, /* SAFE_RAW_RANGE_PERCENT_BTN_SELF */
	1, /* Reserved93 */
	2, /* INTEGRATOR_VOLTAGE_MUTUAL */
	2, /* INTEGRATOR_VOLTAGE_SELF */
	2, /* INTEGRATOR_VOLTAGE_BUTTON_MUTUAL */
	2, /* INTEGRATOR_VOLTAGE_BUTTON_SELF */
	1, /* BALANCING_TARGET_MUTUAL */
	1, /* BALANCING_TARGET_SELF */
	1, /* BALANCING_TARGET_BUTTON_MUTUAL */
	1, /* BALANCING_TARGET_BUTTON_SELF */
	2, /* ILEAK_MAX */
	2, /* OPENS_TEST_RAW_THRESHOLD_MUTUAL */
	2, /* OPENS_TEST_RAW_THRESHOLD_BUTTON */
	1, /* OPENS_TEST_IDAC_MUTUAL */
	1, /* OPENS_TEST_ATTEN_MUTUAL */
	1, /* OPENS_TEST_IDAC_BUTTON */
	1, /* OPENS_TEST_ATTEN_BUTTON */
	1, /* Reserved116 */
	1, /* Reserved117 */
	1, /* Reserved118 */
	1, /* Reserved119 */
	2, /* TX_PERIOD_MUTUAL */
	2, /* TX_PULSES_NUM_MUTUAL */
	2, /* CA_TX_PERIOD_MUTUAL */
	2, /* CA_BASE_TX_PULSES_NUM_MUTUAL */
	2, /* CA_HOP0_TX_PERIOD_MUTUAL */
	2, /* CA_HOP0_TX_PULSES_NUM_MUTUAL */
	2, /* CA_HOP1_TX_PERIOD_MUTUAL */
	2, /* CA_HOP1_TX_PULSES_NUM_MUTUAL */
	2, /* CA_HOP2_TX_PERIOD_MUTUAL */
	2, /* CA_HOP2_TX_PULSES_NUM_MUTUAL */
	2, /* CA_HOP3_TX_PERIOD_MUTUAL */
	2, /* CA_HOP3_TX_PULSES_NUM_MUTUAL */
	2, /* CA_HOP4_TX_PERIOD_MUTUAL */
	2, /* CA_HOP4_TX_PULSES_NUM_MUTUAL */
	2, /* TX_PERIOD_SELF */
	2, /* TX_PULSES_NUM_SELF */
	2, /* TX_PERIOD_BTN_MUTUAL */
	2, /* TX_PULSES_NUM_BUTTON_MUTUAL */
	2, /* TX_PERIOD_BTN_SELF */
	2, /* TX_PULSES_NUM_BUTTON_SELF */
	2, /* TX_PERIOD_PROX */
	2, /* TX_PULSES_NUM_PROXIMITY */
	2, /* TX_PERIOD_GLOVE_MUTUAL */
	2, /* TX_PULSES_NUM_GLOVE_MUTUAL */
	2, /* TX_PERIOD_GLOVE_SELF */
	2, /* TX_PULSES_NUM_GLOVE_SELF */
	2, /* TX_PERIOD_GLOVE_BUTTON_MUTUAL */
	2, /* TX_PULSES_NUM_GLOVE_BUTTON_MUTUAL */
	2, /* TX_PERIOD_GLOVE_BUTTON_SELF */
	2, /* TX_PULSES_NUM_GLOVE_BUTTON_SELF */
	48, /* CDC_SENSOR_MASKS */
	41, /* CDC_PIN_INDEX_TABLE */
	3, /* Reserved269 */
	8, /* CDC_MTX_PHASE_VECTOR */
	48, /* CDC_MTX_DECONV_COEF */
	200, /* CDC_SLOT_TABLE */
	2, /* MAX_SELF_SIG_THRESHOLD */
	2, /* MAX_POSITIVE_THRESHOLD */
	1, /* BL_DELAY_BTN */
	1, /* BL_THRESHOLD_MUT */
	1, /* BL_THRESHOLD_SELF */
	1, /* RATIO_MAXMUT_TO_MAXSELF */
	1, /* MIN_POSITIVE_THRESHOLD */
	1, /* RATIO_SUMALL_TO_POSITIVE */
	1, /* COUNTS_TO_BL_RESET_MUT */
	1, /* COUNTS_TO_BL_RESET_SELF */
	1, /* BL_FILT_BTN_MUT */
	1, /* BL_FILT_BTN_SELF */
	2, /* SELF_LIFTOFF_THRESHOLD */
	1, /* BASELINE_DELAY */
	1, /* DEBOUNCE_BASELINE_AFTER_REMOVE */
	1, /* SLOW_BL_THRSH */
	1, /* SLOW_BL_SS */
	1, /* FAST_BL_THRSH */
	1, /* FAST_BL_SS */
	2, /* WIPE_RESET_COUNTER */
	2, /* DECREASE_BY_WATER */
	2, /* PREV_RAW_FRAME_NUM */
	2, /* WIPE_DELAY */
	2, /* DROP_RESET_COUNTER */
	4, /* WATER_TIMEOUT */
	2, /* INIT_BL_DELAY */
	2, /* TOUCH_THRESHOLD */
	2, /* BL_FRAME_NUM_AFTER_LIFTOFF */
	1, /* Reserved570 */
	1, /* Reserved571 */
	2, /* MAX_MUTUAL_SCAN_INTERVAL */
	2, /* MAX_SELF_SCAN_INTERVAL */
	2, /* BL_BTN_THRSH_MUT */
	2, /* BL_BTN_THRSH_SELF */
	2, /* BL_BTN_THRSH_MUT_CA */
	2, /* BL_BTN_THRSH_MUT_GLOVE */
	2, /* BL_BTN_THRSH_SELF_GLOVE */
	2, /* Reserved586 */
	1, /* CMF_DELTA_TEMPCO_INCREMENT */
	1, /* Reserved589 */
	1, /* Reserved590 */
	1, /* Reserved591 */
	1, /* Reserved592 */
	1, /* Reserved593 */
	2, /* WF_RAW_VAR_THOLD */
	2, /* WF_RAW_HIGH_THOLD */
	2, /* WF_DIFF_VAR_THOLD */
	2, /* WF_RAW_CALC_THOLD */
	2, /* WF_DIFF_CALC_THOLD */
	1, /* FILT_FILTER_MASK */
	1, /* FILT_IIR_COEFF_MUT */
	2, /* FILT_IIR_THRESHOLD_MUT */
	2, /* FILT_CMF_THRESHOLD_MUT */
	1, /* FILT_FILTER_MASK_BASE_SELF */
	1, /* FILT_IIR_COEFF_SELF */
	2, /* FILT_IIR_THRESHOLD_SELF */
	2, /* CMF_THR_SELF */
	1, /* FILT_FILTER_MASK_BTN_MUT */
	1, /* FILT_IIR_COEFF_BUT */
	2, /* FILT_IIR_THRESHOLD_BUT */
	2, /* CMF_THR_BTN_MUT */
	1, /* FILT_FILTER_MASK_BTN_SELF */
	1, /* FILT_IIR_COEFF_BUT_BASE_SELF */
	2, /* FILT_IIR_THRESHOLD_BUT_BASE_SELF */
	2, /* CMF_THR_BTN_SELF */
	1, /* FILT_FILTER_MASK_PROX */
	1, /* IIR_COEF */
	2, /* IIR_THRESHOLD */
	2, /* FILT_CMF_THRESHOLD_PROX */
	1, /* CAFILT_FILTER_MASK */
	1, /* CAFILT_IIR_COEFF_MUT */
	2, /* CAFILT_IIR_THRESHOLD_MUT */
	2, /* CAFILT_CMF_THRESHOLD_MUT */
	1, /* CAFILT_FILT_BTN_MUT */
	1, /* CAFILT_IIR_COEFF_BUT */
	2, /* CAFILT_IIR_THRESHOLD_BUT */
	2, /* CAFILT_CMF_THRESHOLD_BUT_MUT */
	1, /* FILT_FILTER_MASK_GLOVE_MUT */
	1, /* FILT_IIR_COEFF_GLOVE_MUT */
	2, /* FILT_IIR_THRESHOLD_GLOVE_MUT */
	2, /* FILT_CMF_THRESHOLD_GLOVE_MUT */
	1, /* FILT_FILTER_MASK_GLOVE_SELF */
	1, /* FILT_IIR_COEFF_GLOVE_SELF */
	2, /* FILT_IIR_THRESHOLD_GLOVE_SELF */
	2, /* FILT_CMF_THRESHOLD_GLOVE_SELF */
	1, /* FILT_FILTER_MASK_BUT_GLOVE_MUT */
	1, /* FILT_IIR_COEFF_BUT_GLOVE_MUT */
	2, /* FILT_IIR_THRESHOLD_BUT_GLOVE_MUT */
	2, /* FILT_CMF_THRESHOLD_GLOVE_BUT_MUT */
	1, /* FILT_FILTER_MASK_BUT_GLOVE_SELF */
	1, /* FILT_IIR_COEFF_BUT_GLOVE_SELF */
	2, /* FILT_IIR_THRESHOLD_BUT_GLOVE_SELF */
	2, /* FILT_CMF_THRESHOLD_GLOVE_BUT_SELF */
	1, /* FILT_FILTER_MASK_NOFILT */
	1, /* FILT_IIR_COEFF_NOFILT */
	2, /* FILT_IIR_THRESHOLD_NOFILT */
	2, /* FILT_CMF_THRESHOLD_NOFILT */
	1, /* CA_HOST_CONTROLLED_CHARGER */
	1, /* CHARGER_STATUS */
	1, /* AFH_LISTEN_SCAN_CYCLE_REPEATS */
	1, /* AFH_LISTENING_SCAN_COUNT */
	2, /* CA_INJTCH_MAGNITUDE */
	2, /* CA_INJTCH_FINGER_THOLD */
	4, /* CA_DEFAULT_REVERT_TIME */
	2, /* DETECT_CHARGER_THRESHOLD */
	2, /* NM_INJ_TCH_THRESHOLD */
	1, /* CA_WB_CMF_ENABLE */
	1, /* CA_WB_REVERT_THOLD */
	1, /* TRIGGER_CA */
	1, /* CA_DYN_CAL_NUM_SENSOR_THLD_PERCENT */
	2, /* CA_DYN_CAL_SAFE_RAW_RANGE */
	2, /* CA_MIN_SELF_ALLOWED */
	1, /* ACT_LFT_EN */
	1, /* INNER_EDGE_GAIN */
	1, /* OUTER_EDGE_GAIN */
	1, /* ACT_INTRVL0 */
	2, /* ACT_LFT_INTRVL0 */
	2, /* LP_INTRVL0 */
	2, /* TCH_TMOUT0 */
	2, /* FINGER_THRESH_SELF */
	2, /* GLOVE_THRSH_SELF */
	1, /* LOW_POWER_ENABLE */
	1, /* Reserved715 */
	1, /* ACT_DIST0 */
	1, /* ACT_DIST2 */
	1, /* ACT_DIST_TOUCHDOWN */
	1, /* ACT_DIST_LIFTOFF */
	1, /* ACT_DIST_COUNTER */
	1, /* ACT_DIST_Z_THRESHOLD */
	1, /* FIRST_TOUCH_SUPPRESSION */
	1, /* OBJ_WITHHOLD_CFG */
	1, /* ACTIVE_DELTA_Z */
	1, /* MAX_ACCEPTED_FINGER */
	2, /* Reserved726 */
	4, /* FINGER_ID_MAX_FINGER_VELOCITY2 */
	2, /* GRIP_XEDG_A */
	2, /* GRIP_XEDG_B */
	2, /* GRIP_XEXC_A */
	2, /* GRIP_XEXC_B */
	2, /* GRIP_YEDG_A */
	2, /* GRIP_YEDG_B */
	2, /* GRIP_YEXC_A */
	2, /* GRIP_YEXC_B */
	1, /* GRIP_FIRST_EXC */
	1, /* GRIP_EXC_EDGE_ORIGIN */
	1, /* GRIP_ENABLE */
	1, /* LIFTOFF_DEBOUNCE */
	1, /* LIFTOFF_DEBOUNCE_PROXIMITY */
	1, /* LIFTOFF_DEBOUNCE_STYLUS */
	1, /* LIFTOFF_DEBOUNCE_HOVER */
	1, /* GLOVE_LIFTOFF_DEBOUNCE */
	2, /* TOUCHMODE_GLOVE_SWITCH_DEBOUNCE */
	2, /* TOUCHMODE_FINGER_SWITCH_DEBOUNCE */
	2, /* TOUCHMODE_GLOVE_FINGER_SWITCH_DEBOUNCE */
	2, /* TOUCHMODE_GLOVE_EXIT_DELAY */
	2, /* TOUCHMODE_FINGER_EXIT_DELAY */
	2, /* SELF_Z_THRSH */
	1, /* CLIPPING_X_LOW */
	1, /* CLIPPING_X_HIGH */
	1, /* CLIPPING_Y_LOW */
	1, /* CLIPPING_Y_HIGH */
	1, /* H2O_REJECTION_SNS_WIDTH */
	1, /* SLIM_POSITION_OFFSET_ALONG_TX */
	1, /* SLIM_POSITION_OFFSET_ALONG_RX */
	1, /* Reserved775 */
	1, /* BR2_ALWAYS_ON_FLAG */
	1, /* EDGE_DEBOUNCE_COUNT */
	2, /* CALC_THRESHOLD */
	2, /* OFFSET_S1 */
	2, /* OFFSET_S2 */
	4, /* Z1_SUM_8MM */
	4, /* Z2_SUM_4MM */
	4, /* Z1_SUM_3MM */
	4, /* Z2_SUM_1MM */
	4, /* LOW_PIVOT */
	4, /* HIGH_PIVOT */
	4, /* LOW_PIVOT2 */
	4, /* HIGH_PIVOT2 */
	2, /* EDGE_DEBOUNCE_COUNT_THRESHOLD */
	2, /* CENTER_MAGNITUDE_SCALE */
	1, /* CENTROID_CORNER_NUMER */
	1, /* CENTROID_CORNER_DENOM */
	1, /* CENTROID_FINGER_MAX_JUMP */
	1, /* GRADIENT_OUTER_EDGE_CONST_GAIN */
	1, /* GRADIENT_OUTER_EDGE_CONST_RESPONSE */
	1, /* GRADIENT_EDGE_COEF */
	1, /* GRADIENT_COEF */
	1, /* GRADIENT_THRESHOLD */
	4, /* MIN_FAT_FINGER_Z9 */
	4, /* MAX_MULTI_FINGER_Z9 */
	4, /* MIN_FAT_FINGER_SIG_SUM_ON_EDGE */
	1, /* CENTER_SIGNAL_TO_MIN_PEAK_RATIO */
	1, /* SD_SIZE_THRESHOLD */
	2, /* SD_ENTER_SIGNAL_THRESHOLD */
	2, /* SD_EXIT_SIGNAL_THRESHOLD */
	2, /* VIRTUAL_PEAK_DELTA_RESET_THRESHOLD */
	2, /* VIRTUAL_PEAK_DELTA_THRESHOLD */
	1, /* FAT_AXIS_LENGTH_THRESHOLD */
	1, /* TOUCH_IGNORE_COEFF */
	2, /* UPPER_THRSH */
	2, /* LOWER_THRSH */
	2, /* OFF_THRSH */
	2, /* ACTIVE_SENSOR_THRESHOLD */
	2, /* ACTIVE_SENSOR_THRESHOLD_FINGER */
	2, /* DEBOUNCE_ON_DETECT_FINGER */
	1, /* DEBOUNCE_ON_DETECT */
	1, /* DEBOUNCE_AFTER_REMOVE */
	1, /* MAX_NUM_SHORT_SCAN */
	1, /* SENSOR_NUM_THRSH */
	1, /* SENSOR_NUM_THRSH_FINGER */
	1, /* DISCARD_SCAN */
	2, /* Reserved870 */
	2, /* FINGER_THRESH_MUTUAL_ON */
	2, /* FINGER_THRESH_MUTUAL_OFF */
	2, /* Z_SCALING */
	2, /* CA_FINGER_THRESHOLD_MUTUAL */
	1, /* MULTI_TOUCH_DEBOUNCE */
	1, /* Z9_FILTER_SCALE */
	1, /* CA_MULTI_TOUCH_DEBOUNCE */
	1, /* CA_Z9_FILTER_SCALE */
	1, /* MIN_FAT_FINGER_SIZE_HYST */
	1, /* MIN_FAT_FINGER_SIZE_ON */
	1, /* MAX_FAT_FINGER_SIZE_HYST */
	1, /* MAX_FAT_FINGER_SIZE_ON */
	1, /* CA_MIN_FAT_FINGER_SIZE */
	1, /* CA_MAX_FAT_FINGER_SIZE */
	1, /* TOUCH_TRACKING_FEATURES */
	1, /* SIGNAL_THRESHOLD_MULTIPLIER */
	1, /* WF_FT_COEF */
	1, /* WF_MT_DEBOUNCE */
	1, /* RX_LINE_FILTER */
	1, /* RX_LINE_FILTER_DEBOUNCE */
	1, /* RX_LINE_FILTER_THRESHOLD */
	3, /* Reserved897 */
	1, /* WF_Z8_MULTIPLIER */
	3, /* Reserved901 */
	1, /* BTN_LS_ON_THRSH_MUT_0 */
	1, /* BTN_LS_ON_THRSH_MUT_1 */
	1, /* BTN_LS_ON_THRSH_MUT_2 */
	1, /* BTN_LS_ON_THRSH_MUT_3 */
	1, /* BTN_LS_OFF_THRSH_MUT_0 */
	1, /* BTN_LS_OFF_THRSH_MUT_1 */
	1, /* BTN_LS_OFF_THRSH_MUT_2 */
	1, /* BTN_LS_OFF_THRSH_MUT_3 */
	1, /* BTN_LS_ON_THRSH_SELF_0 */
	1, /* BTN_LS_ON_THRSH_SELF_1 */
	1, /* BTN_LS_ON_THRSH_SELF_2 */
	1, /* BTN_LS_ON_THRSH_SELF_3 */
	1, /* BTN_LS_OFF_THRSH_SELF_0 */
	1, /* BTN_LS_OFF_THRSH_SELF_1 */
	1, /* BTN_LS_OFF_THRSH_SELF_2 */
	1, /* BTN_LS_OFF_THRSH_SELF_3 */
	2, /* BTN_LS_TOUCHDOWN_DEBOUNCE */
	2, /* Reserved922 */
	1, /* BTN_HS_ON_THRSH_MUT_0 */
	1, /* BTN_HS_ON_THRSH_MUT_1 */
	1, /* BTN_HS_ON_THRSH_MUT_2 */
	1, /* BTN_HS_ON_THRSH_MUT_3 */
	1, /* BTN_HS_OFF_THRSH_MUT_0 */
	1, /* BTN_HS_OFF_THRSH_MUT_1 */
	1, /* BTN_HS_OFF_THRSH_MUT_2 */
	1, /* BTN_HS_OFF_THRSH_MUT_3 */
	1, /* BTN_HS_ON_THRSH_SELF_0 */
	1, /* BTN_HS_ON_THRSH_SELF_1 */
	1, /* BTN_HS_ON_THRSH_SELF_2 */
	1, /* BTN_HS_ON_THRSH_SELF_3 */
	1, /* BTN_HS_OFF_THRSH_SELF_0 */
	1, /* BTN_HS_OFF_THRSH_SELF_1 */
	1, /* BTN_HS_OFF_THRSH_SELF_2 */
	1, /* BTN_HS_OFF_THRSH_SELF_3 */
	2, /* BTN_HS_TOUCHDOWN_DEBOUNCE */
	2, /* Reserved942 */
	2, /* GLOVE_BTN_FORBID_DEBOUNCE */
	2, /* GLOVE_BTN_TO_HIGHSEN_MODE_SWITCH_THRSH_MUT */
	2, /* GLOVE_BTN_TO_HIGHSEN_MODE_SWITCH_THRSH_SELF */
	2, /* GLOVE_BTN_TO_LOWSEN_MODE_SWITCH_THRSH_MUT */
	2, /* GLOVE_BTN_TO_LOWSEN_MODE_SWITCH_THRSH_SELF */
	2, /* GLOVE_BTN_MODE_SWITCH_DEBOUNCE */
	1, /* BTN_PROCESS_IF_TOUCH_DETECTED */
	1, /* Reserved957 */
	2, /* Reserved958 */
	2, /* TOUCHMODE_GLOVE_MAX_PEAK */
	2, /* GLOVE_ON_THRSH_MUTUAL */
	2, /* GLOVE_OFF_THRSH_MUTUAL */
	1, /* GLOVE_FIRST_TOUCH_DEBOUNCE */
	1, /* GLOVE_FIRST_TOUCH_DEBOUNCE_EDGE_MASK */
	1, /* GLOVE_MULTI_TOUCH_DEBOUNCE */
	1, /* GLOVE_Z8_FILTER_SCALE */
	1, /* GLOVE_Z9_FILTER_SCALE */
	1, /* GLOVE_GRIP_FILTER_SCALE */
	2, /* GLOVE_Z_SCALING */
	1, /* GLOVE_MAX_FAT_FINGER_SIZE */
	1, /* GLOVE_MAX_FAT_FINGER_HYST */
	1, /* GLOVE_MIN_FAT_FINGER_SIZE */
	1, /* GLOVE_MIN_FAT_FINGER_HYST */
	1, /* GLOVE_SIGNAL_THRESHOLD_MULTIPLIER */
	1, /* GLOVE_INNER_EDGE_GAIN */
	1, /* GLOVE_OUTER_EDGE_GAIN */
	1, /* Reserved981 */
	2, /* Reserved982 */
	4, /* XY_FILTER_MASK */
	4, /* XY_FILT_IIR_COEFF */
	4, /* XY_FILT_Z_IIR_COEFF */
	1, /* XY_FILT_XY_FAST_THR */
	1, /* XY_FILT_XY_SLOW_THR */
	1, /* XY_FILT_IIR_FAST_COEFF */
	1, /* Reserved999 */
	4, /* XY_FILTER_MASK_CA */
	4, /* XY_FILT_IIR_COEFF_CA */
	4, /* XY_FILT_Z_IIR_COEFF_CA */
	1, /* XY_FILT_XY_FAST_THR_CA */
	1, /* XY_FILT_XY_SLOW_THR_CA */
	1, /* XY_FILT_IIR_FAST_COEFF_CA */
	1, /* Reserved1015 */
	1, /* XY_FILT_EXTRA_IIR_FILTER */
	1, /* XY_FILT_TOUCH_SIZE_IIR_COEFF */
	1, /* XY_FILT_TOUCH_SIZE_HYST */
	1, /* XY_FILT_TOUCH_ORIENTATION_IIR_COEFF */
	1, /* XY_FILT_TOUCH_ORIENTATION_HYST */
	3, /* Reserved1021 */
	1, /* SIZE_ORIENTATION_ENABLE */
	3, /* Reserved1025 */
	1, /* EXT_SYNC */
	1, /* PWR_CFG */
	2, /* CONFIG_VER */
	1, /* SEND_REPORT_AFTER_ACTIVE_INTERVAL_CFG */
	1, /* PIP_REPORTING_DISABLE */
	2, /* INTERRUPT_PIN_OVERRIDE */
	1, /* POST_CFG */
	3, /* Reserved1037 */
	2, /* CONFIG_CRC */
};

/* Touchscreen Parameters Field Address*/
static const uint8_t cyttsp4_param_addr[] = {
/*	Address	Name	*/
	0xF1, 0x00, /* CONFIG_DATA_SIZE */
	0xF1, 0x02, /* CONFIG_DATA_MAX_SIZE */
	0xF1, 0x04, /* X_RESOLUTION */
	0xF1, 0x06, /* Y_RESOLUTION */
	0xF1, 0x08, /* X_LEN_PHY */
	0xF1, 0x0A, /* Y_LEN_PHY */
	0xF1, 0x0C, /* CROSS_NUM */
	0xF1, 0x0E, /* TX_NUM */
	0xF1, 0x0F, /* RX_NUM */
	0xF1, 0x10, /* SENS_NUM */
	0xF1, 0x11, /* SENSOR_ASSIGNMENT */
	0xF1, 0x12, /* PROXIMITY_SCAN_AXIS */
	0xF1, 0x13, /* BL_H20_RJCT */
	0xF1, 0x14, /* CHARGER_ARMOR_ENABLE */
	0xF1, 0x15, /* TOUCHMODE_ENABLED */
	0xF1, 0x16, /* LRG_OBJ_CFG */
	0xF1, 0x17, /* BUTTON_NUM */
	0xF1, 0x18, /* PROXIMITY_GRIP_SUPPRESSION_SIZE */
	0xF1, 0x19, /* MAX_NUM_OF_REPORTED_TOUCHES */
	0xF1, 0x1A, /* MAX_NUM_OF_SUPPORTED_TOUCHES */
	0xF1, 0x1B, /* SCANNING_MODE_BUTTON */
	0xF1, 0x1C, /* OPMODE_CFG */
	0xF1, 0x1D, /* SELF_Z_MODE */
	0xF1, 0x1E, /* WF_ENABLE */
	0xF1, 0x1F, /* Reserved31 */
	0xF1, 0x20, /* PQ_CTRL */
	0xF1, 0x24, /* PQ_CTRL2 */
	0xF1, 0x28, /* PQ_CTRL3 */
	0xF1, 0x2C, /* REFGEN_CTL */
	0xF1, 0x30, /* TX_CTRL */
	0xF1, 0x34, /* RX_CTRL */
	0xF1, 0x38, /* INFRA_CTRL */
	0xF1, 0x3C, /* STARTUP_DELAY */
	0xF1, 0x3D, /* FORCE_SINGLE_TX */
	0xF1, 0x3E, /* SLOTS_MUT */
	0xF1, 0x3F, /* SLOTS_SELF_RX */
	0xF1, 0x40, /* SLOTS_SELF_TX */
	0xF1, 0x41, /* SLOTS_SELF */
	0xF1, 0x42, /* SCALING_FACTOR_MUTUAL */
	0xF1, 0x44, /* SCALING_FACTOR_SELF */
	0xF1, 0x46, /* SCALING_FACTOR_BUTTON_MUTUAL */
	0xF1, 0x48, /* SCALING_FACTOR_BUTTON_SELF */
	0xF1, 0x4A, /* SCALING_FACTOR_PROXIMITY */
	0xF1, 0x4C, /* TX_PUMP_VOLTAGE */
	0xF1, 0x4D, /* DISCARD_TIME */
	0xF1, 0x4E, /* VDDA_MODE */
	0xF1, 0x4F, /* BUTTON_LAYOUT */
	0xF1, 0x50, /* MTX_ORDER */
	0xF1, 0x51, /* Reserved81 */
	0xF1, 0x52, /* TX_FREQ_METHOD_MUTUAL */
	0xF1, 0x53, /* TX_FREQ_METHOD_SELF */
	0xF1, 0x54, /* CA_WIDEBAND_TX_PERIOD */
	0xF1, 0x56, /* CA_WIDEBAND_TX_PERIOD_DITHER */
	0xF1, 0x57, /* IDAC_WB */
	0xF1, 0x58, /* RX_ATTEN_RES_BYPASS */
	0xF1, 0x59, /* SAFE_RAW_RANGE_PERCENT_MUTUAL */
	0xF1, 0x5A, /* SAFE_RAW_RANGE_PERCENT_SELF */
	0xF1, 0x5B, /* SAFE_RAW_RANGE_PERCENT_BTN_MUTUAL */
	0xF1, 0x5C, /* SAFE_RAW_RANGE_PERCENT_BTN_SELF */
	0xF1, 0x5D, /* Reserved93 */
	0xF1, 0x5E, /* INTEGRATOR_VOLTAGE_MUTUAL */
	0xF1, 0x60, /* INTEGRATOR_VOLTAGE_SELF */
	0xF1, 0x62, /* INTEGRATOR_VOLTAGE_BUTTON_MUTUAL */
	0xF1, 0x64, /* INTEGRATOR_VOLTAGE_BUTTON_SELF */
	0xF1, 0x66, /* BALANCING_TARGET_MUTUAL */
	0xF1, 0x67, /* BALANCING_TARGET_SELF */
	0xF1, 0x68, /* BALANCING_TARGET_BUTTON_MUTUAL */
	0xF1, 0x69, /* BALANCING_TARGET_BUTTON_SELF */
	0xF1, 0x6A, /* ILEAK_MAX */
	0xF1, 0x6C, /* OPENS_TEST_RAW_THRESHOLD_MUTUAL */
	0xF1, 0x6E, /* OPENS_TEST_RAW_THRESHOLD_BUTTON */
	0xF1, 0x70, /* OPENS_TEST_IDAC_MUTUAL */
	0xF1, 0x71, /* OPENS_TEST_ATTEN_MUTUAL */
	0xF1, 0x72, /* OPENS_TEST_IDAC_BUTTON */
	0xF1, 0x73, /* OPENS_TEST_ATTEN_BUTTON */
	0xF1, 0x74, /* Reserved116 */
	0xF1, 0x75, /* Reserved117 */
	0xF1, 0x76, /* Reserved118 */
	0xF1, 0x77, /* Reserved119 */
	0xF1, 0x78, /* TX_PERIOD_MUTUAL */
	0xF1, 0x7A, /* TX_PULSES_NUM_MUTUAL */
	0xF1, 0x7C, /* CA_TX_PERIOD_MUTUAL */
	0xF1, 0x7E, /* CA_BASE_TX_PULSES_NUM_MUTUAL */
	0xF1, 0x80, /* CA_HOP0_TX_PERIOD_MUTUAL */
	0xF1, 0x82, /* CA_HOP0_TX_PULSES_NUM_MUTUAL */
	0xF1, 0x84, /* CA_HOP1_TX_PERIOD_MUTUAL */
	0xF1, 0x86, /* CA_HOP1_TX_PULSES_NUM_MUTUAL */
	0xF1, 0x88, /* CA_HOP2_TX_PERIOD_MUTUAL */
	0xF1, 0x8A, /* CA_HOP2_TX_PULSES_NUM_MUTUAL */
	0xF1, 0x8C, /* CA_HOP3_TX_PERIOD_MUTUAL */
	0xF1, 0x8E, /* CA_HOP3_TX_PULSES_NUM_MUTUAL */
	0xF1, 0x90, /* CA_HOP4_TX_PERIOD_MUTUAL */
	0xF1, 0x92, /* CA_HOP4_TX_PULSES_NUM_MUTUAL */
	0xF1, 0x94, /* TX_PERIOD_SELF */
	0xF1, 0x96, /* TX_PULSES_NUM_SELF */
	0xF1, 0x98, /* TX_PERIOD_BTN_MUTUAL */
	0xF1, 0x9A, /* TX_PULSES_NUM_BUTTON_MUTUAL */
	0xF1, 0x9C, /* TX_PERIOD_BTN_SELF */
	0xF1, 0x9E, /* TX_PULSES_NUM_BUTTON_SELF */
	0xF1, 0xA0, /* TX_PERIOD_PROX */
	0xF1, 0xA2, /* TX_PULSES_NUM_PROXIMITY */
	0xF1, 0xA4, /* TX_PERIOD_GLOVE_MUTUAL */
	0xF1, 0xA6, /* TX_PULSES_NUM_GLOVE_MUTUAL */
	0xF1, 0xA8, /* TX_PERIOD_GLOVE_SELF */
	0xF1, 0xAA, /* TX_PULSES_NUM_GLOVE_SELF */
	0xF1, 0xAC, /* TX_PERIOD_GLOVE_BUTTON_MUTUAL */
	0xF1, 0xAE, /* TX_PULSES_NUM_GLOVE_BUTTON_MUTUAL */
	0xF1, 0xB0, /* TX_PERIOD_GLOVE_BUTTON_SELF */
	0xF1, 0xB2, /* TX_PULSES_NUM_GLOVE_BUTTON_SELF */
	0xF1, 0xB4, /* CDC_SENSOR_MASKS */
	0xF1, 0xE4, /* CDC_PIN_INDEX_TABLE */
	0xF2, 0x0D, /* Reserved269 */
	0xF2, 0x10, /* CDC_MTX_PHASE_VECTOR */
	0xF2, 0x18, /* CDC_MTX_DECONV_COEF */
	0xF2, 0x48, /* CDC_SLOT_TABLE */
	0xF3, 0x10, /* MAX_SELF_SIG_THRESHOLD */
	0xF3, 0x12, /* MAX_POSITIVE_THRESHOLD */
	0xF3, 0x14, /* BL_DELAY_BTN */
	0xF3, 0x15, /* BL_THRESHOLD_MUT */
	0xF3, 0x16, /* BL_THRESHOLD_SELF */
	0xF3, 0x17, /* RATIO_MAXMUT_TO_MAXSELF */
	0xF3, 0x18, /* MIN_POSITIVE_THRESHOLD */
	0xF3, 0x19, /* RATIO_SUMALL_TO_POSITIVE */
	0xF3, 0x1A, /* COUNTS_TO_BL_RESET_MUT */
	0xF3, 0x1B, /* COUNTS_TO_BL_RESET_SELF */
	0xF3, 0x1C, /* BL_FILT_BTN_MUT */
	0xF3, 0x1D, /* BL_FILT_BTN_SELF */
	0xF3, 0x1E, /* SELF_LIFTOFF_THRESHOLD */
	0xF3, 0x20, /* BASELINE_DELAY */
	0xF3, 0x21, /* DEBOUNCE_BASELINE_AFTER_REMOVE */
	0xF3, 0x22, /* SLOW_BL_THRSH */
	0xF3, 0x23, /* SLOW_BL_SS */
	0xF3, 0x24, /* FAST_BL_THRSH */
	0xF3, 0x25, /* FAST_BL_SS */
	0xF3, 0x26, /* WIPE_RESET_COUNTER */
	0xF3, 0x28, /* DECREASE_BY_WATER */
	0xF3, 0x2A, /* PREV_RAW_FRAME_NUM */
	0xF3, 0x2C, /* WIPE_DELAY */
	0xF3, 0x2E, /* DROP_RESET_COUNTER */
	0xF3, 0x30, /* WATER_TIMEOUT */
	0xF3, 0x34, /* INIT_BL_DELAY */
	0xF3, 0x36, /* TOUCH_THRESHOLD */
	0xF3, 0x38, /* BL_FRAME_NUM_AFTER_LIFTOFF */
	0xF3, 0x3A, /* Reserved570 */
	0xF3, 0x3B, /* Reserved571 */
	0xF3, 0x3C, /* MAX_MUTUAL_SCAN_INTERVAL */
	0xF3, 0x3E, /* MAX_SELF_SCAN_INTERVAL */
	0xF3, 0x40, /* BL_BTN_THRSH_MUT */
	0xF3, 0x42, /* BL_BTN_THRSH_SELF */
	0xF3, 0x44, /* BL_BTN_THRSH_MUT_CA */
	0xF3, 0x46, /* BL_BTN_THRSH_MUT_GLOVE */
	0xF3, 0x48, /* BL_BTN_THRSH_SELF_GLOVE */
	0xF3, 0x4A, /* Reserved586 */
	0xF3, 0x4C, /* CMF_DELTA_TEMPCO_INCREMENT */
	0xF3, 0x4D, /* Reserved589 */
	0xF3, 0x4E, /* Reserved590 */
	0xF3, 0x4F, /* Reserved591 */
	0xF3, 0x50, /* Reserved592 */
	0xF3, 0x51, /* Reserved593 */
	0xF3, 0x52, /* WF_RAW_VAR_THOLD */
	0xF3, 0x54, /* WF_RAW_HIGH_THOLD */
	0xF3, 0x56, /* WF_DIFF_VAR_THOLD */
	0xF3, 0x58, /* WF_RAW_CALC_THOLD */
	0xF3, 0x5A, /* WF_DIFF_CALC_THOLD */
	0xF3, 0x5C, /* FILT_FILTER_MASK */
	0xF3, 0x5D, /* FILT_IIR_COEFF_MUT */
	0xF3, 0x5E, /* FILT_IIR_THRESHOLD_MUT */
	0xF3, 0x60, /* FILT_CMF_THRESHOLD_MUT */
	0xF3, 0x62, /* FILT_FILTER_MASK_BASE_SELF */
	0xF3, 0x63, /* FILT_IIR_COEFF_SELF */
	0xF3, 0x64, /* FILT_IIR_THRESHOLD_SELF */
	0xF3, 0x66, /* CMF_THR_SELF */
	0xF3, 0x68, /* FILT_FILTER_MASK_BTN_MUT */
	0xF3, 0x69, /* FILT_IIR_COEFF_BUT */
	0xF3, 0x6A, /* FILT_IIR_THRESHOLD_BUT */
	0xF3, 0x6C, /* CMF_THR_BTN_MUT */
	0xF3, 0x6E, /* FILT_FILTER_MASK_BTN_SELF */
	0xF3, 0x6F, /* FILT_IIR_COEFF_BUT_BASE_SELF */
	0xF3, 0x70, /* FILT_IIR_THRESHOLD_BUT_BASE_SELF */
	0xF3, 0x72, /* CMF_THR_BTN_SELF */
	0xF3, 0x74, /* FILT_FILTER_MASK_PROX */
	0xF3, 0x75, /* IIR_COEF */
	0xF3, 0x76, /* IIR_THRESHOLD */
	0xF3, 0x78, /* FILT_CMF_THRESHOLD_PROX */
	0xF3, 0x7A, /* CAFILT_FILTER_MASK */
	0xF3, 0x7B, /* CAFILT_IIR_COEFF_MUT */
	0xF3, 0x7C, /* CAFILT_IIR_THRESHOLD_MUT */
	0xF3, 0x7E, /* CAFILT_CMF_THRESHOLD_MUT */
	0xF3, 0x80, /* CAFILT_FILT_BTN_MUT */
	0xF3, 0x81, /* CAFILT_IIR_COEFF_BUT */
	0xF3, 0x82, /* CAFILT_IIR_THRESHOLD_BUT */
	0xF3, 0x84, /* CAFILT_CMF_THRESHOLD_BUT_MUT */
	0xF3, 0x86, /* FILT_FILTER_MASK_GLOVE_MUT */
	0xF3, 0x87, /* FILT_IIR_COEFF_GLOVE_MUT */
	0xF3, 0x88, /* FILT_IIR_THRESHOLD_GLOVE_MUT */
	0xF3, 0x8A, /* FILT_CMF_THRESHOLD_GLOVE_MUT */
	0xF3, 0x8C, /* FILT_FILTER_MASK_GLOVE_SELF */
	0xF3, 0x8D, /* FILT_IIR_COEFF_GLOVE_SELF */
	0xF3, 0x8E, /* FILT_IIR_THRESHOLD_GLOVE_SELF */
	0xF3, 0x90, /* FILT_CMF_THRESHOLD_GLOVE_SELF */
	0xF3, 0x92, /* FILT_FILTER_MASK_BUT_GLOVE_MUT */
	0xF3, 0x93, /* FILT_IIR_COEFF_BUT_GLOVE_MUT */
	0xF3, 0x94, /* FILT_IIR_THRESHOLD_BUT_GLOVE_MUT */
	0xF3, 0x96, /* FILT_CMF_THRESHOLD_GLOVE_BUT_MUT */
	0xF3, 0x98, /* FILT_FILTER_MASK_BUT_GLOVE_SELF */
	0xF3, 0x99, /* FILT_IIR_COEFF_BUT_GLOVE_SELF */
	0xF3, 0x9A, /* FILT_IIR_THRESHOLD_BUT_GLOVE_SELF */
	0xF3, 0x9C, /* FILT_CMF_THRESHOLD_GLOVE_BUT_SELF */
	0xF3, 0x9E, /* FILT_FILTER_MASK_NOFILT */
	0xF3, 0x9F, /* FILT_IIR_COEFF_NOFILT */
	0xF3, 0xA0, /* FILT_IIR_THRESHOLD_NOFILT */
	0xF3, 0xA2, /* FILT_CMF_THRESHOLD_NOFILT */
	0xF3, 0xA4, /* CA_HOST_CONTROLLED_CHARGER */
	0xF3, 0xA5, /* CHARGER_STATUS */
	0xF3, 0xA6, /* AFH_LISTEN_SCAN_CYCLE_REPEATS */
	0xF3, 0xA7, /* AFH_LISTENING_SCAN_COUNT */
	0xF3, 0xA8, /* CA_INJTCH_MAGNITUDE */
	0xF3, 0xAA, /* CA_INJTCH_FINGER_THOLD */
	0xF3, 0xAC, /* CA_DEFAULT_REVERT_TIME */
	0xF3, 0xB0, /* DETECT_CHARGER_THRESHOLD */
	0xF3, 0xB2, /* NM_INJ_TCH_THRESHOLD */
	0xF3, 0xB4, /* CA_WB_CMF_ENABLE */
	0xF3, 0xB5, /* CA_WB_REVERT_THOLD */
	0xF3, 0xB6, /* TRIGGER_CA */
	0xF3, 0xB7, /* CA_DYN_CAL_NUM_SENSOR_THLD_PERCENT */
	0xF3, 0xB8, /* CA_DYN_CAL_SAFE_RAW_RANGE */
	0xF3, 0xBA, /* CA_MIN_SELF_ALLOWED */
	0xF3, 0xBC, /* ACT_LFT_EN */
	0xF3, 0xBD, /* INNER_EDGE_GAIN */
	0xF3, 0xBE, /* OUTER_EDGE_GAIN */
	0xF3, 0xBF, /* ACT_INTRVL0 */
	0xF3, 0xC0, /* ACT_LFT_INTRVL0 */
	0xF3, 0xC2, /* LP_INTRVL0 */
	0xF3, 0xC4, /* TCH_TMOUT0 */
	0xF3, 0xC6, /* FINGER_THRESH_SELF */
	0xF3, 0xC8, /* GLOVE_THRSH_SELF */
	0xF3, 0xCA, /* LOW_POWER_ENABLE */
	0xF3, 0xCB, /* Reserved715 */
	0xF3, 0xCC, /* ACT_DIST0 */
	0xF3, 0xCD, /* ACT_DIST2 */
	0xF3, 0xCE, /* ACT_DIST_TOUCHDOWN */
	0xF3, 0xCF, /* ACT_DIST_LIFTOFF */
	0xF3, 0xD0, /* ACT_DIST_COUNTER */
	0xF3, 0xD1, /* ACT_DIST_Z_THRESHOLD */
	0xF3, 0xD2, /* FIRST_TOUCH_SUPPRESSION */
	0xF3, 0xD3, /* OBJ_WITHHOLD_CFG */
	0xF3, 0xD4, /* ACTIVE_DELTA_Z */
	0xF3, 0xD5, /* MAX_ACCEPTED_FINGER */
	0xF3, 0xD6, /* Reserved726 */
	0xF3, 0xD8, /* FINGER_ID_MAX_FINGER_VELOCITY2 */
	0xF3, 0xDC, /* GRIP_XEDG_A */
	0xF3, 0xDE, /* GRIP_XEDG_B */
	0xF3, 0xE0, /* GRIP_XEXC_A */
	0xF3, 0xE2, /* GRIP_XEXC_B */
	0xF3, 0xE4, /* GRIP_YEDG_A */
	0xF3, 0xE6, /* GRIP_YEDG_B */
	0xF3, 0xE8, /* GRIP_YEXC_A */
	0xF3, 0xEA, /* GRIP_YEXC_B */
	0xF3, 0xEC, /* GRIP_FIRST_EXC */
	0xF3, 0xED, /* GRIP_EXC_EDGE_ORIGIN */
	0xF3, 0xEE, /* GRIP_ENABLE */
	0xF3, 0xEF, /* LIFTOFF_DEBOUNCE */
	0xF3, 0xF0, /* LIFTOFF_DEBOUNCE_PROXIMITY */
	0xF3, 0xF1, /* LIFTOFF_DEBOUNCE_STYLUS */
	0xF3, 0xF2, /* LIFTOFF_DEBOUNCE_HOVER */
	0xF3, 0xF3, /* GLOVE_LIFTOFF_DEBOUNCE */
	0xF3, 0xF4, /* TOUCHMODE_GLOVE_SWITCH_DEBOUNCE */
	0xF3, 0xF6, /* TOUCHMODE_FINGER_SWITCH_DEBOUNCE */
	0xF3, 0xF8, /* TOUCHMODE_GLOVE_FINGER_SWITCH_DEBOUNCE */
	0xF3, 0xFA, /* TOUCHMODE_GLOVE_EXIT_DELAY */
	0xF3, 0xFC, /* TOUCHMODE_FINGER_EXIT_DELAY */
	0xF3, 0xFE, /* SELF_Z_THRSH */
	0xF4, 0x00, /* CLIPPING_X_LOW */
	0xF4, 0x01, /* CLIPPING_X_HIGH */
	0xF4, 0x02, /* CLIPPING_Y_LOW */
	0xF4, 0x03, /* CLIPPING_Y_HIGH */
	0xF4, 0x04, /* H2O_REJECTION_SNS_WIDTH */
	0xF4, 0x05, /* SLIM_POSITION_OFFSET_ALONG_TX */
	0xF4, 0x06, /* SLIM_POSITION_OFFSET_ALONG_RX */
	0xF4, 0x07, /* Reserved775 */
	0xF4, 0x08, /* BR2_ALWAYS_ON_FLAG */
	0xF4, 0x09, /* EDGE_DEBOUNCE_COUNT */
	0xF4, 0x0A, /* CALC_THRESHOLD */
	0xF4, 0x0C, /* OFFSET_S1 */
	0xF4, 0x0E, /* OFFSET_S2 */
	0xF4, 0x10, /* Z1_SUM_8MM */
	0xF4, 0x14, /* Z2_SUM_4MM */
	0xF4, 0x18, /* Z1_SUM_3MM */
	0xF4, 0x1C, /* Z2_SUM_1MM */
	0xF4, 0x20, /* LOW_PIVOT */
	0xF4, 0x24, /* HIGH_PIVOT */
	0xF4, 0x28, /* LOW_PIVOT2 */
	0xF4, 0x2C, /* HIGH_PIVOT2 */
	0xF4, 0x30, /* EDGE_DEBOUNCE_COUNT_THRESHOLD */
	0xF4, 0x32, /* CENTER_MAGNITUDE_SCALE */
	0xF4, 0x34, /* CENTROID_CORNER_NUMER */
	0xF4, 0x35, /* CENTROID_CORNER_DENOM */
	0xF4, 0x36, /* CENTROID_FINGER_MAX_JUMP */
	0xF4, 0x37, /* GRADIENT_OUTER_EDGE_CONST_GAIN */
	0xF4, 0x38, /* GRADIENT_OUTER_EDGE_CONST_RESPONSE */
	0xF4, 0x39, /* GRADIENT_EDGE_COEF */
	0xF4, 0x3A, /* GRADIENT_COEF */
	0xF4, 0x3B, /* GRADIENT_THRESHOLD */
	0xF4, 0x3C, /* MIN_FAT_FINGER_Z9 */
	0xF4, 0x40, /* MAX_MULTI_FINGER_Z9 */
	0xF4, 0x44, /* MIN_FAT_FINGER_SIG_SUM_ON_EDGE */
	0xF4, 0x48, /* CENTER_SIGNAL_TO_MIN_PEAK_RATIO */
	0xF4, 0x49, /* SD_SIZE_THRESHOLD */
	0xF4, 0x4A, /* SD_ENTER_SIGNAL_THRESHOLD */
	0xF4, 0x4C, /* SD_EXIT_SIGNAL_THRESHOLD */
	0xF4, 0x4E, /* VIRTUAL_PEAK_DELTA_RESET_THRESHOLD */
	0xF4, 0x50, /* VIRTUAL_PEAK_DELTA_THRESHOLD */
	0xF4, 0x52, /* FAT_AXIS_LENGTH_THRESHOLD */
	0xF4, 0x53, /* TOUCH_IGNORE_COEFF */
	0xF4, 0x54, /* UPPER_THRSH */
	0xF4, 0x56, /* LOWER_THRSH */
	0xF4, 0x58, /* OFF_THRSH */
	0xF4, 0x5A, /* ACTIVE_SENSOR_THRESHOLD */
	0xF4, 0x5C, /* ACTIVE_SENSOR_THRESHOLD_FINGER */
	0xF4, 0x5E, /* DEBOUNCE_ON_DETECT_FINGER */
	0xF4, 0x60, /* DEBOUNCE_ON_DETECT */
	0xF4, 0x61, /* DEBOUNCE_AFTER_REMOVE */
	0xF4, 0x62, /* MAX_NUM_SHORT_SCAN */
	0xF4, 0x63, /* SENSOR_NUM_THRSH */
	0xF4, 0x64, /* SENSOR_NUM_THRSH_FINGER */
	0xF4, 0x65, /* DISCARD_SCAN */
	0xF4, 0x66, /* Reserved870 */
	0xF4, 0x68, /* FINGER_THRESH_MUTUAL_ON */
	0xF4, 0x6A, /* FINGER_THRESH_MUTUAL_OFF */
	0xF4, 0x6C, /* Z_SCALING */
	0xF4, 0x6E, /* CA_FINGER_THRESHOLD_MUTUAL */
	0xF4, 0x70, /* MULTI_TOUCH_DEBOUNCE */
	0xF4, 0x71, /* Z9_FILTER_SCALE */
	0xF4, 0x72, /* CA_MULTI_TOUCH_DEBOUNCE */
	0xF4, 0x73, /* CA_Z9_FILTER_SCALE */
	0xF4, 0x74, /* MIN_FAT_FINGER_SIZE_HYST */
	0xF4, 0x75, /* MIN_FAT_FINGER_SIZE_ON */
	0xF4, 0x76, /* MAX_FAT_FINGER_SIZE_HYST */
	0xF4, 0x77, /* MAX_FAT_FINGER_SIZE_ON */
	0xF4, 0x78, /* CA_MIN_FAT_FINGER_SIZE */
	0xF4, 0x79, /* CA_MAX_FAT_FINGER_SIZE */
	0xF4, 0x7A, /* TOUCH_TRACKING_FEATURES */
	0xF4, 0x7B, /* SIGNAL_THRESHOLD_MULTIPLIER */
	0xF4, 0x7C, /* WF_FT_COEF */
	0xF4, 0x7D, /* WF_MT_DEBOUNCE */
	0xF4, 0x7E, /* RX_LINE_FILTER */
	0xF4, 0x7F, /* RX_LINE_FILTER_DEBOUNCE */
	0xF4, 0x80, /* RX_LINE_FILTER_THRESHOLD */
	0xF4, 0x81, /* Reserved897 */
	0xF4, 0x84, /* WF_Z8_MULTIPLIER */
	0xF4, 0x85, /* Reserved901 */
	0xF4, 0x88, /* BTN_LS_ON_THRSH_MUT_0 */
	0xF4, 0x89, /* BTN_LS_ON_THRSH_MUT_1 */
	0xF4, 0x8A, /* BTN_LS_ON_THRSH_MUT_2 */
	0xF4, 0x8B, /* BTN_LS_ON_THRSH_MUT_3 */
	0xF4, 0x8C, /* BTN_LS_OFF_THRSH_MUT_0 */
	0xF4, 0x8D, /* BTN_LS_OFF_THRSH_MUT_1 */
	0xF4, 0x8E, /* BTN_LS_OFF_THRSH_MUT_2 */
	0xF4, 0x8F, /* BTN_LS_OFF_THRSH_MUT_3 */
	0xF4, 0x90, /* BTN_LS_ON_THRSH_SELF_0 */
	0xF4, 0x91, /* BTN_LS_ON_THRSH_SELF_1 */
	0xF4, 0x92, /* BTN_LS_ON_THRSH_SELF_2 */
	0xF4, 0x93, /* BTN_LS_ON_THRSH_SELF_3 */
	0xF4, 0x94, /* BTN_LS_OFF_THRSH_SELF_0 */
	0xF4, 0x95, /* BTN_LS_OFF_THRSH_SELF_1 */
	0xF4, 0x96, /* BTN_LS_OFF_THRSH_SELF_2 */
	0xF4, 0x97, /* BTN_LS_OFF_THRSH_SELF_3 */
	0xF4, 0x98, /* BTN_LS_TOUCHDOWN_DEBOUNCE */
	0xF4, 0x9A, /* Reserved922 */
	0xF4, 0x9C, /* BTN_HS_ON_THRSH_MUT_0 */
	0xF4, 0x9D, /* BTN_HS_ON_THRSH_MUT_1 */
	0xF4, 0x9E, /* BTN_HS_ON_THRSH_MUT_2 */
	0xF4, 0x9F, /* BTN_HS_ON_THRSH_MUT_3 */
	0xF4, 0xA0, /* BTN_HS_OFF_THRSH_MUT_0 */
	0xF4, 0xA1, /* BTN_HS_OFF_THRSH_MUT_1 */
	0xF4, 0xA2, /* BTN_HS_OFF_THRSH_MUT_2 */
	0xF4, 0xA3, /* BTN_HS_OFF_THRSH_MUT_3 */
	0xF4, 0xA4, /* BTN_HS_ON_THRSH_SELF_0 */
	0xF4, 0xA5, /* BTN_HS_ON_THRSH_SELF_1 */
	0xF4, 0xA6, /* BTN_HS_ON_THRSH_SELF_2 */
	0xF4, 0xA7, /* BTN_HS_ON_THRSH_SELF_3 */
	0xF4, 0xA8, /* BTN_HS_OFF_THRSH_SELF_0 */
	0xF4, 0xA9, /* BTN_HS_OFF_THRSH_SELF_1 */
	0xF4, 0xAA, /* BTN_HS_OFF_THRSH_SELF_2 */
	0xF4, 0xAB, /* BTN_HS_OFF_THRSH_SELF_3 */
	0xF4, 0xAC, /* BTN_HS_TOUCHDOWN_DEBOUNCE */
	0xF4, 0xAE, /* Reserved942 */
	0xF4, 0xB0, /* GLOVE_BTN_FORBID_DEBOUNCE */
	0xF4, 0xB2, /* GLOVE_BTN_TO_HIGHSEN_MODE_SWITCH_THRSH_MUT */
	0xF4, 0xB4, /* GLOVE_BTN_TO_HIGHSEN_MODE_SWITCH_THRSH_SELF */
	0xF4, 0xB6, /* GLOVE_BTN_TO_LOWSEN_MODE_SWITCH_THRSH_MUT */
	0xF4, 0xB8, /* GLOVE_BTN_TO_LOWSEN_MODE_SWITCH_THRSH_SELF */
	0xF4, 0xBA, /* GLOVE_BTN_MODE_SWITCH_DEBOUNCE */
	0xF4, 0xBC, /* BTN_PROCESS_IF_TOUCH_DETECTED */
	0xF4, 0xBD, /* Reserved957 */
	0xF4, 0xBE, /* Reserved958 */
	0xF4, 0xC0, /* TOUCHMODE_GLOVE_MAX_PEAK */
	0xF4, 0xC2, /* GLOVE_ON_THRSH_MUTUAL */
	0xF4, 0xC4, /* GLOVE_OFF_THRSH_MUTUAL */
	0xF4, 0xC6, /* GLOVE_FIRST_TOUCH_DEBOUNCE */
	0xF4, 0xC7, /* GLOVE_FIRST_TOUCH_DEBOUNCE_EDGE_MASK */
	0xF4, 0xC8, /* GLOVE_MULTI_TOUCH_DEBOUNCE */
	0xF4, 0xC9, /* GLOVE_Z8_FILTER_SCALE */
	0xF4, 0xCA, /* GLOVE_Z9_FILTER_SCALE */
	0xF4, 0xCB, /* GLOVE_GRIP_FILTER_SCALE */
	0xF4, 0xCC, /* GLOVE_Z_SCALING */
	0xF4, 0xCE, /* GLOVE_MAX_FAT_FINGER_SIZE */
	0xF4, 0xCF, /* GLOVE_MAX_FAT_FINGER_HYST */
	0xF4, 0xD0, /* GLOVE_MIN_FAT_FINGER_SIZE */
	0xF4, 0xD1, /* GLOVE_MIN_FAT_FINGER_HYST */
	0xF4, 0xD2, /* GLOVE_SIGNAL_THRESHOLD_MULTIPLIER */
	0xF4, 0xD3, /* GLOVE_INNER_EDGE_GAIN */
	0xF4, 0xD4, /* GLOVE_OUTER_EDGE_GAIN */
	0xF4, 0xD5, /* Reserved981 */
	0xF4, 0xD6, /* Reserved982 */
	0xF4, 0xD8, /* XY_FILTER_MASK */
	0xF4, 0xDC, /* XY_FILT_IIR_COEFF */
	0xF4, 0xE0, /* XY_FILT_Z_IIR_COEFF */
	0xF4, 0xE4, /* XY_FILT_XY_FAST_THR */
	0xF4, 0xE5, /* XY_FILT_XY_SLOW_THR */
	0xF4, 0xE6, /* XY_FILT_IIR_FAST_COEFF */
	0xF4, 0xE7, /* Reserved999 */
	0xF4, 0xE8, /* XY_FILTER_MASK_CA */
	0xF4, 0xEC, /* XY_FILT_IIR_COEFF_CA */
	0xF4, 0xF0, /* XY_FILT_Z_IIR_COEFF_CA */
	0xF4, 0xF4, /* XY_FILT_XY_FAST_THR_CA */
	0xF4, 0xF5, /* XY_FILT_XY_SLOW_THR_CA */
	0xF4, 0xF6, /* XY_FILT_IIR_FAST_COEFF_CA */
	0xF4, 0xF7, /* Reserved1015 */
	0xF4, 0xF8, /* XY_FILT_EXTRA_IIR_FILTER */
	0xF4, 0xF9, /* XY_FILT_TOUCH_SIZE_IIR_COEFF */
	0xF4, 0xFA, /* XY_FILT_TOUCH_SIZE_HYST */
	0xF4, 0xFB, /* XY_FILT_TOUCH_ORIENTATION_IIR_COEFF */
	0xF4, 0xFC, /* XY_FILT_TOUCH_ORIENTATION_HYST */
	0xF4, 0xFD, /* Reserved1021 */
	0xF5, 0x00, /* SIZE_ORIENTATION_ENABLE */
	0xF5, 0x01, /* Reserved1025 */
	0xF5, 0x04, /* EXT_SYNC */
	0xF5, 0x05, /* PWR_CFG */
	0xF5, 0x06, /* CONFIG_VER */
	0xF5, 0x08, /* SEND_REPORT_AFTER_ACTIVE_INTERVAL_CFG */
	0xF5, 0x09, /* PIP_REPORTING_DISABLE */
	0xF5, 0x0A, /* INTERRUPT_PIN_OVERRIDE */
	0xF5, 0x0C, /* POST_CFG */
	0xF5, 0x0D, /* Reserved1037 */
	0xF5, 0x10, /* CONFIG_CRC */
};

